be.cin.mycarenet._1_0.carenet.types

## Class SingleInsurabilityRequest

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SingleInsurabilityRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:46:15+01:00",
                 comments="JAXB RI v2.3.7")
      public class SingleInsurabilityRequest
      extends Object
      implements Serializable

  Java class for SingleInsurabilityRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SingleInsurabilityRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}CareReceiverId"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityRequestDetail"/>
             </sequence>
             <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleInsurabilityRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverId` | `getCareReceiverId()` The identification of the care receiver.
    `InsurabilityRequestDetail` | `getInsurabilityRequestDetail()` The date of the request
    `MessageNameType` | `getMessageName()` Gets the value of the messageName property.
    `String` | `getReceiverReference()` Gets the value of the receiverReference property.
    `String` | `getSenderReference()` Gets the value of the senderReference property.
    `String` | `getVersion()` Gets the value of the version property.
    `boolean` | `isDuplicate()` Gets the value of the duplicate property.
    `boolean` | `isSynchronous()` Gets the value of the synchronous property.
    `boolean` | `isTestFlag()` Gets the value of the testFlag property.
    `void` | `setCareReceiverId(CareReceiverId value)` Sets the value of the careReceiverId property.
    `void` | `setDuplicate(boolean value)` Sets the value of the duplicate property.
    `void` | `setInsurabilityRequestDetail(InsurabilityRequestDetail value)` Sets the value of the insurabilityRequestDetail property.
    `void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
    `void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
    `void` | `setSenderReference(String value)` Sets the value of the senderReference property.
    `void` | `setSynchronous(boolean value)` Sets the value of the synchronous property.
    `void` | `setTestFlag(boolean value)` Sets the value of the testFlag property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleInsurabilityRequest

          public SingleInsurabilityRequest()

  - ### Method Detail

    - #### getCareReceiverId

          public CareReceiverId getCareReceiverId()

      The identification of the care receiver.
      Returns:
        possible object is `CareReceiverId`

    - #### setCareReceiverId

          public void setCareReceiverId(CareReceiverId value)

      Sets the value of the careReceiverId property.
      Parameters:
        `value` - allowed object is `CareReceiverId`

    - #### getInsurabilityRequestDetail

          public InsurabilityRequestDetail getInsurabilityRequestDetail()

      The date of the request
      Returns:
        possible object is `InsurabilityRequestDetail`

    - #### setInsurabilityRequestDetail

          public void setInsurabilityRequestDetail(InsurabilityRequestDetail value)

      Sets the value of the insurabilityRequestDetail property.
      Parameters:
        `value` - allowed object is `InsurabilityRequestDetail`

    - #### getMessageName

          public MessageNameType getMessageName()

      Gets the value of the messageName property.
      Returns:
        possible object is `MessageNameType`

    - #### setMessageName

          public void setMessageName(MessageNameType value)

      Sets the value of the messageName property.
      Parameters:
        `value` - allowed object is `MessageNameType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### isDuplicate

          public boolean isDuplicate()

      Gets the value of the duplicate property.

    - #### setDuplicate

          public void setDuplicate(boolean value)

      Sets the value of the duplicate property.

    - #### isTestFlag

          public boolean isTestFlag()

      Gets the value of the testFlag property.

    - #### setTestFlag

          public void setTestFlag(boolean value)

      Sets the value of the testFlag property.

    - #### getSenderReference

          public String getSenderReference()

      Gets the value of the senderReference property.
      Returns:
        possible object is `String`

    - #### setSenderReference

          public void setSenderReference(String value)

      Sets the value of the senderReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReceiverReference

          public String getReceiverReference()

      Gets the value of the receiverReference property.
      Returns:
        possible object is `String`

    - #### setReceiverReference

          public void setReceiverReference(String value)

      Sets the value of the receiverReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSynchronous

          public boolean isSynchronous()

      Gets the value of the synchronous property.

    - #### setSynchronous

          public void setSynchronous(boolean value)

      Sets the value of the synchronous property.

Connector Packaging PERSPHYSICIAN 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.